from abaqus import *
from abaqusConstants import *
from part import *
from material import *
from section import *
from assembly import *
from step import *
from interaction import *
from load import *
from mesh import *
from optimization import *
from job import *
from sketch import *
from visualization import *
from connectorBehavior import *
from regionToolset import *
from odbAccess import *

def orientate_shell(
    part=[],
    axis=AXIS_1,
    datum=[]
):
    part.MaterialOrientation(
        additionalRotationField='', 
        additionalRotationType=ROTATION_NONE, 
        angle=0.0, 
        axis=axis, 
        fieldName='', 
        localCsys=None, 
        orientationType=GLOBAL, 
        region=Region(faces=part.faces), 
        )


def orientate_cb(
    part=[],
    datum=[]
):
    part.MaterialOrientation(
        additionalRotationField='', 
        additionalRotationType=ROTATION_NONE, 
        angle=0.0, 
        axis=AXIS_1, 
        fieldName='', 
        localCsys=None, 
        orientationType=GLOBAL, 
        region=Region(edges=part.edges)
        )
